Page 1 of 1

Updating a current 3.60 (24-09-2011)to current 3.61

PostPosted: Sun Mar 25, 2012 3:15 am
by smartjsp
Carlos

After reading the previous threads about it I undertood the two paths to perform this process:

1. applying 3.6.0 patches (currently not available) I know you have been busy to create them
2. and upgrade directly to 3.6.1 (building from Mercurial) and applying the ouytstanding DB scripts


I decided to used the second approach. This is the summary of steps that I performed:


0. Clone the correct Mercurial repository for adempiere 3.6.1 from bitbucket

hg clone --insecure https://hg.kenai.com/hg/adempiere361~adempiere361 adempiere361new


1. Build from this up-to-date version

go to adempiereRelease/utils_dev/./RUN_build.sh

2. Replace directly the current ERP files with newer files:
Adempiere.jar (copy it to AdempiereOriginal.jar)
webui.war (copy it to webuiOriginal.war) in your existent adempiere ERP /lib

3. Replace patches.jar and zkpatches.jar with empty jars generated after the build.

4. apply the outstanding db scripts to your database :

4.1 downloaded them:

hg clone --insecure https://bitbucket.org/CarlosRuiz_global ... re-patches adempiere-patches

4.2 Because my current adempiere version was september 24,2011, I just used these outstanding scripts:

807v_patchversion2011-10-03.sql
807_EnableWorkflowProcessClient.sql
808_IDEMPIERE-98.sql
809_IDEMPIERE23.sql
810_NewCentralizedID.sql
811_IDEMPIERE-126.sql
812_IDEMPIERE-127_RecentItems.sql
813_IDEMPIERE-134_NewGWPeriods.sql
814_IDEMPIERE-133.sql
816_IDEMPIERE-139_LastMigrationScriptA
817_IDEMPIERE-147.sql
818_IDEMPIERE-148.sql
819_IDEMPIERE-140.sql
820_IDEMPIERE-153.sql
821_IDEMPIERE-137_GLReconciliation.sql
822_IDEMPIERE-137_Ambidexter_GL_Rec.sql
823_IDEMPIERE-178.sql

4.3. With the postgres user I created a folder called /tmp/patches and copy there the script: migrate_postgresql.sh

4.3.1 There I create a subfolder postgres, and there I copy the sql files to apply with this command

./migrate_postgresql.sh . commit | psql -U adempiere -d adempiere-smj > salida.lst

so far everything was good..

5. After that I run the RUN_silentsetup.sh, and start my server;

6. but when I tried to login adempiere is complaining about DB and adempiere version differences:

database version: 2011-10-03.
program version: 2010-06-14

1. do we need to copy any addional jar files to the current ERP ... ?

2. do we need an additional sql script to update the database version as well ?


Regards,


Pedro Rozo.

Re: Updating a current 3.60 (24-09-2011)to current 3.61

PostPosted: Mon Mar 26, 2012 11:04 pm
by globalqss
Hi Pedro,

Step 0:
The URL you're using is obsolete. Please check here:
http://www.adempiere.com/Branch_GlobalQ ... o_download

Step 2:
never tried that way - but there are some libraries to replace also, better you create a complete installer and install from there - or follow the patches way.

Regards,

Carlos Ruiz